Skip to main content
GET
/
api
/
v2
/
inbox-placement-tests
/
{id}
Get inbox placement test
curl --request GET \
  --url https://api.instantly.ai/api/v2/inbox-placement-tests/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "019cc043-af07-7296-9ac4-031e16ac4587",
  "organization_id": "019cc043-af07-7296-9ac4-031f720d9afb",
  "name": "My Inbox Placement Test",
  "delivery_mode": 1,
  "description": "This is a test description",
  "schedule": {
    "days": {
      "0": false,
      "1": false,
      "2": true,
      "3": true,
      "4": false,
      "5": false,
      "6": false
    },
    "timing": {
      "from": "02:30"
    },
    "timezone": "Etc/GMT+12"
  },
  "type": 1,
  "sending_method": 1,
  "campaign_id": "019cc043-af07-7296-9ac4-0320b4ad9d46",
  "email_subject": "My Email Subject",
  "email_body": "Hi, this is my email body",
  "emails": [
    "john@doe.com"
  ],
  "test_code": "ptid_V2JyKxGgdD9XfFyhFeXQR",
  "tags": [
    "019cc043-af07-7296-9ac4-032133cf9749"
  ],
  "text_only": true,
  "recipients": [
    "johndoe@instantly.ai"
  ],
  "recipients_labels": [
    {
      "region": "North America",
      "sub_region": "US",
      "type": "Professional",
      "esp": "Google"
    }
  ],
  "timestamp_created": "2026-03-05T23:09:47.144Z",
  "timestamp_next_run": "2026-03-05T23:09:47.144Z",
  "automations": [
    {
      "when": {
        "condition": "placement_goes_below",
        "condition_value": 80
      },
      "then": {
        "webhook_url": "https://example.com/webhook",
        "pause_sending_campaigns_for": 14,
        "pause": true,
        "enable_slow_ramp": true,
        "disable_slow_ramp": true,
        "add_tags": [
          "019cc043-af08-7041-92b3-0e90ced4024a"
        ],
        "remove_tags": [
          "019cc043-af08-7041-92b3-0e91c3fde846"
        ]
      }
    }
  ],
  "status": 1,
  "not_sending_status": "daily_limits_hit",
  "metadata": {
    "campaign": {
      "id": "campaign-id",
      "name": "Campaign Name"
    },
    "tags": {
      "tag-id": {
        "id": "tag-id",
        "label": "Tag Label"
      }
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

The ID of the requested item

Example:

"019cc043-e378-7657-8138-9db08d1fd9a7"

Query Parameters

with_metadata
boolean

Whether to include additional metadata about the inbox placement test

Example:

true

Response

The requested Inbox Placement Test

id
string<uuid>

Unique identifier for the inbox placement test

Example:

"019cc043-af07-7296-9ac4-031e16ac4587"

organization_id
string<uuid>

Organization ID

Example:

"019cc043-af07-7296-9ac4-031f720d9afb"

name
string

Name of the inbox placement test

Example:

"My Inbox Placement Test"

delivery_mode
null | enum<number>

Whether to send emails one by one or all together

Available options:
1,
2,
null
Example:

1

description
null | string

Description of the inbox placement test

Example:

"This is a test description"

schedule
object

Specifies the date and time when the automated inbox placement tests will be sent.

type
enum<number>

Whether the inbox placement test is a one-time test or an automated test

Available options:
1,
2
Example:

1

sending_method
enum<number>

Whether the inbox placement test will be sent from Instantly or from outside Instantly

Available options:
1,
2
Example:

1

campaign_id
null | string<uuid>

Campaign ID

Example:

"019cc043-af07-7296-9ac4-0320b4ad9d46"

email_subject
string

Email subject of the inbox placement test

Example:

"My Email Subject"

email_body
string

Email body of the inbox placement test

Example:

"Hi, this is my email body"

emails
string[]

Emails to send the inbox placement test to

test_code
null | string

Code for identifying the inbox placement tests in the email body from outside Instantly

Example:

"ptid_V2JyKxGgdD9XfFyhFeXQR"

tags
null | string<uuid>[]

List of tag IDs to use for sending emails

text_only
null | boolean

Disables open tracking

Example:

true

recipients
string[]
recipients_labels
object[]

A list of email providers and their corresponding types to which emails will be sent. To retrieve the available options, use the GET: /inbox-placement-tests/email-service-provider-options endpoint

timestamp_created
string

Timestamp when the inbox placement test was created

Example:

"2026-03-05T23:09:47.144Z"

timestamp_next_run
null | string

Timestamp when the inbox placement test will run next

Example:

"2026-03-05T23:09:47.144Z"

automations
null | object[]

Optional automations to trigger based on conditions

status
null | enum<number>

Status of the inbox placement test

Available options:
1,
2,
3
Example:

1

not_sending_status
null | enum<string>

Why the inbox placement test is currently not sending. It will be an empty string if there are no issues.

Available options:
daily_limits_hit,
other
Example:

"daily_limits_hit"

metadata
object

Included only when the with_metadata parameter is true. Contains additional information about the inbox placement test as associated campaign details and tags.

Example:
{
"campaign": {
"id": "campaign-id",
"name": "Campaign Name"
},
"tags": {
"tag-id": { "id": "tag-id", "label": "Tag Label" }
}
}